Questions tagged [upgrade]

Questions related to civicrm upgrades or updates

Filter by
Sorted by
Tagged with
1
vote
1answer
106 views

Upgraded to 5.3.2 from 5.3.1, now warning Cron not running - log shows it is at 10 minute intervals - Ignore?

Running on Wordpress 4.8.7. No problem with Cron on 5.3.1, but right after upgrading we're getting warning that cron is not running. "Cron Not Running- Last cron run at July 28th, 2018 3:20 PM." ...
2
votes
1answer
47 views

CiviCRM upgrade paths

I have Civicrm 5.3.0 on Wordpress. - It says need to upgrade a security patch. Should it be 5.3.1 or 4.6.38 first? Want to end up with 5.3.2
1
vote
2answers
101 views

problems with upgrade on multilingual site (in this case 4.7.31 to 5.3.1)

When upgrading a multilingual site, after the database upgrade ran the site would not correctly load the status page (or any page that loads via javascript), for one example, the url used in the html ...
1
vote
1answer
87 views

CiviCRM upgrade from 4.6 to 5.3 > [warning] Both parameters should have an equal number of elements Relationship.php:2222

Subject says it all. Just wondering if anyone has seen something like this before?
0
votes
1answer
75 views

civicrm/upgrade?reset=1 to 5.3.1 from 4.7.30

Sorry, due to an error, we are unable to fulfill your request at the moment. You may want to contact your administrator or service provider with more details about what action you were performing when ...
3
votes
2answers
142 views

error on upgrade to 5.3

upon upgrade from 4.7.31 to 5.3 the site could not load any civi pages, it would give a generic error message. in the log I see: Civi\Payment\Exception\PaymentProcessorException: ...
0
votes
1answer
36 views

When removing a group from a contact I get: Error - DB Constraint Violation - GroupContact, get API

[copied from https://issues.civicrm.org/jira/browse/CRM-20711 noted on CiviCRM version 4.7.27] In the Contact record, when I try to remove or delete a contact from a group they've already been added ...
2
votes
0answers
13 views

Does the upgrade process perform enough 'clear caches / templates_c' or should it?

We have hit issues after upgrades that require additional "drush cc all" and/or "clear out templates_c" to make me wonder if the upgrade script could be taking care of this better? Would it be ...
2
votes
2answers
124 views

Are extensions that work with CiviCRM 4.7 also compatible with 5.x?

Most of my extensions are marked as compatible with 4.7 but do not explicitly say they will work with 5.0, 5.1, etc. Can I safely upgrade CiviCRM and continue to use the extensions?
1
vote
1answer
139 views

Undefined index: maxlength after update to 5.2.0

I am relatively new to CiviCRM. After we updated to 5.2.0 I started getting this message when I enter the Create New Individual screen: Notice: Undefined index: maxlength in CRM_Core_Form->addField()...
1
vote
3answers
297 views

System Status Page Blank after Upgrade

After upgrading from 4.7.31 to 5.2.0 the system status page is blank. I made sure the Directory and Resource url settings match; I cleaned up caches and reset paths; I disabled the Asset Cache; no ...
1
vote
2answers
160 views

Is 4.7.x end-of-life? Why does my site say that 4.7 has reached the end-of-life?

The CiviCRM Status Screen is reporting for any version that is 4.7.x that it is End of Life. What does this mean? Is there something wrong with version 4.7? Do I need to panic?
2
votes
0answers
120 views

DB Error after upgrading 4.7.x to 5.1 (Drupal)

After upgrading CiviCRM from v4.7.14 to 5.1 (or v4.7.31) which went seemingly well, CiviCRM encounters the following problem. UPDATE: Issue does not appear until 4.7.29 (including), and comes up only ...
1
vote
3answers
132 views

Db Upgrade from 4.5.5 to 5.1.2 fails with [Error: Upgrade DB to 4.6.alpha7]

Upgrading CiviCRM 4.5.5 on Wordpress 4.9.6 to CiviCRM 5.1.2... I tried upgrading database from 4.5.5 to 5.1.2 and got the error below. Any version above 4.6.0 gives the same error (tried them all!). ...
1
vote
2answers
367 views

Upgrading from 4.7.12 to 5.1.2 on Wordpress

Its been a while since we performed and update on our site. Would there be any issues upgrading to the latest version from such an old version?
0
votes
3answers
253 views

ISSUE upgrading CiviCRM 4.6 to 4.7 (or 5.1) in Wordpress (comes from a Drupal multisite)

we are trying to upgrade a CiviCRM 4.6.15 on Wordpress that comes from a multisite Drupal installation. This on WordPress is on a different server, but with the same DNS and Admin name. It works ...
0
votes
1answer
99 views

System Status: Notice 5.1.0 After Upgrade

Need a bit of help just upgraded to the latest version 5.1.0 however now when I click in on the "System Status: Notice" link in the bottom footer I get an error. Can anyone help me fix this, please? ...
1
vote
2answers
315 views

CiviCRM Cannot add or update a child row: a foreign key constraint fails error after upgrading from 4.7.30 to 5.0.2

After running the command to upgrade the database I got a constraint violation error. ERROR USERINFO: ALTER TABLE civicrm_case ADD CONSTRAINT FK_civicrm_case_case_type_id FOREIGN KEY (case_type_id) ...
2
votes
4answers
301 views

After upgrade to 5.0.2 from 4.7.30 getting “DB Error: No such field” on queries

Since updating my CiviCRM 4.7.30 on WordPress 4.9.5, I am getting "DB Error: No such field" when doing queries through Advanced Search or Search Builder. Some of the problems where when I was trying ...
5
votes
1answer
26 views

Does Drupal's read-only mode module work for Civicrm too?

Drupal 7 has a module, Read Only Mode, which allows your site to be viewed while in maintenance mode. No changes can take place to the database, but viewers can still see your site. This allows you to ...
0
votes
1answer
39 views

Upgrading 4.6.14 LTS Upgrade

Current system: Windows Server 2012 with IIS 8 Wordpress 4.4.2 PHP 5.5 MySQL 5.1.73 I am currently running CiviCRM 4.6.14 on a live system on which our users have found a problem when ordering custom ...
1
vote
1answer
57 views

Persistent “Your database has already been upgraded to CiviCRM” Problem

I am updating CiviCRM from 4.7.27 to 4.7.31 on WordPress 4.9.4. Other than CiviCRM, everything is up to date. I've thoroughly Googled the problem, and have tried three times to do the update. But the ...
2
votes
2answers
176 views

Mailing stopped working after CiviCRM, PHP and Drupal upgrade

Recently I upgraded: Drupal core to 7.57 PHP from 5.6 to 7.0.28-1 CiviCRM from 4.7.27 to 4.7.31 Since I've done so I can't send mailings. Basically I get the same thing like in the post described ...
4
votes
1answer
164 views

Upgrading a CiviCRM System

We have a CiviCRM system that hasn't been updated for 5 years and the guy who used to do this has left. Now I do have a lot of IT knowledge but am lost with this. Please, can someone advise how much ...
3
votes
3answers
107 views

Too nervous to upgrade CiviCRM from 4.1.1

I currently have CiviCRM 4.1.1 running on Drupal 7.16 at Siteground. When I try to make mirror versions (sandbox), things fail due to PHP versions on the host, conflicts, etc. I was told to upgrade ...
1
vote
3answers
39 views

Fresh Installation, with all old data. Current online version CiviCRM 4.6.20. (WordPress)

I am very glad with the nice CiviCRM! This is an perfect online CRM-system! After a lot years now, i would like to upgrade to the current version. But i am very scared if it would work.. The Current ...
3
votes
1answer
141 views

Directory path problem on 4.7.30 upgrade

On upgrade to 4.7.30 (Joomla) the status message tells me of path problems. For example, that the directories are not writeable or do not exist. When I try to check/set the directories I get ...
0
votes
1answer
23 views

WP - Errors after update from 4.6 LTS to 4.7

Upgrading seems to work fine, I checked folders and resources configuration because the paths weren't there anymore. Then when I try to access the extensions menu I get the following error : Cannot ...
1
vote
0answers
44 views

Migrate Jooomla installation to new server

Having a terrible time when changing server and updating Joomla and Civicrm. Apologize for the length of this post, but thought is would be helpful to anyone who can address my issues. Here's the ...
1
vote
1answer
43 views

Upgrade Does Not Pass [Executed: Begin Upgrade to 4.7.19]

I am trying to upgrade from 4.7.18 to 4.7.29. I am doing this on a development server and I have created a sub-domain for it and made sure that the site is running before I attempt to do the upgrade. ...
0
votes
1answer
43 views

CiviCRM upgrade `civicrm`.log_civicrm_activity error

Upgrading a CiviCRM DB from 4.7.17 to 4.7.29 after moving from MySQL 5.1 (CentOS 6 install) to CentOS 7 with MariaDB 10.2. After the progress bar completes on the wp-admin/admin.php?page=CiviCRM&...
0
votes
1answer
35 views

Problem with upgrade from 4.5.5 in drupal

I am trying to upgrade from civicrm 4.5.5. I follow instructions of https://docs.civicrm.org/sysadmin/en/latest/upgrade/drupal7/ but any time I do the upgrade I get the screen with skip or retry ...
0
votes
1answer
54 views

CiviCRM Database Upgrade from 4.7.16 to 4.7.28 is hanging

I am trying to upgrade my Joomla civiCRM database from 4.7.16 to 4.7.28. The component upgraded fine but when I try to upgrade the database after following all of the preparation steps, it hangs and ...
0
votes
1answer
37 views

Can't Uninstall CiviCRM from Joomla after failed civiCRM upgrade

I am on Joomla version 3.8.2 with Php 7. I tried to upgrade to CiviCRM 4.7.28 but it failed because it was partially installed and missing important files. Now, I can't get into the Joomla ...
1
vote
1answer
51 views

CiviMail report not showing proper data after upgrade

I have recently upgraded CIVICRM to 4.7.27 and my wordpress version is 4.9.1. Before upgrade civimail report was showing proper data for example "Unique Opens", "Total Opens", etc. But now it's ...
0
votes
1answer
163 views

ERROR Upgrading to CiviCRM 4.7.28 - Warning: require_once(CRM/Core/ClassLoader.php):

I am on Joomla version 3.8.2 with Php 7. I tried to upgrade to CiviCRM 4.7.28 but I received and error message (I didn't capture it) that it could not unzip the file because I have php 7. ...
0
votes
1answer
52 views

Upgrade error from 4.6 to 4.7 - WordPress

I'm trying to upgrade, following the official guide, but when I get to the url : wp-admin/admin.php?page=CiviCRM&q=civicrm/upgrade&reset=1 I get the folowing error message : Initialization ...
1
vote
2answers
42 views

CiviCRM 4.7.27 upgrade undefined method CRM_Price_BAO_PriceField::getVisibilityOptionID()

After upgrading to CiviCRM 4.7.27 on WordPress 4.9.1 the civi contribute pages for donations are only rendering for users who are logged into the WordPress backend. Enabling PHP error reporting gives ...
1
vote
0answers
48 views

Update Indices fails with errno 150 on DROP INDEX UI_case_contact_id after upgrade from 4.6 to 4.7.27

Upgraded from 4.6.19 to 4.7.27 (on wordpress 4.8.3) and attempted to update indices. The table that fails is civicrm_case_contact, with the old index UI_case_contact_id. The error is identical to ...
1
vote
1answer
41 views

View alerts messages

I just installed 4.7.25. All messages said success. However, when I enter CiviCRM in my Joomla site, I see several warnings like No Cron running, etc. When I click on "View alerts...", the screen ...
1
vote
3answers
1k views

After upgrade, System Status page is empty, but issues display in popup

I've just upgraded from 4.4 to 4.7.20. Everything seems to be working as expected, except that the "System Status" page is empty. Just blank where there should be the "CiviCRM System Status" widget. ...
2
votes
1answer
176 views

Joomla 3.8 & CiviCRM 4.7.x - front-end error 500 when logged in

I upgraded Joomla to 3.8 on a test site and CiviCRM (4.7.24) seemed to work fine. I've now replicated the upgrade on a live server (a different config'd machine but both PHP 5.6.31) and while it ...
0
votes
2answers
46 views

Upgrade from 4.1.5 to 4.2 (or any new version) fails

I'm upgrading a very old CIVICRM version. I manage to get CIVI from 3.2 drupal 6 to 4.1.5 drupal 7. However when I'm trying to upgrade from 4.1.5 to 4.2 or newer I'm getting several errors. Since this ...
1
vote
1answer
168 views

PHP Fatal error Class 'CRM_Extension_ClassLoader' not found in civicrm/civicrm/CRM/Extension/System.php:196

I just upgraded from CiviCRM 4.7.10 to 4.7.24 and I followed the steps on the update page here. When I copied the new version to the plugins folder, I started receiving this error in the admin ...
2
votes
4answers
602 views

Issues with running Joomla 3.8 and Civi

I am not looking to be first on this - just wanted to see if anyone is running J3.8 and current release of Civi.
2
votes
2answers
90 views

CiviMail: Can only write new mailing in debug mode (SOLVED)

I've got the problem, that after an upgrade to the newest CiviCRM version (4.7.23) on WordPress, I can only create a new mass mailing when debug mode is enabled. When it is disabled, CiviCRM gives me ...
5
votes
3answers
329 views

Performance Warning: Missing Indices. Mismatched Index Key

Just upgraded to 4.7.23 and am receiving a Performance Warning: Missing Indices. The warning states: The following tables have an index key with a mismatch in value. Please delete the key ...
1
vote
1answer
132 views

After upgrade to 4.7.23., icons do not show (Civicrm on WordPress) (SOLVED)

As you can see in the picture below, icons do not show. They are missing on all pages, also on buttons. This does not change after emptying cache and rebuilding the menu. I've also checked the ...
1
vote
1answer
95 views

Confirm Contribution button not clickable for non-default payment processor

When selecting the non-default payment processor (ACH in this case), the "Confirm Contribution" becomes non-clickable (greyed out). Switching back to the default (credit card) it is still unclickable ...
2
votes
0answers
46 views

DB Error -1 when upgrading a WordPress based installation from 4.7.20 to 4.7.23

I got the following message when trying to upgrade from 4.7.20 to 4.7.23. Installation is WP-based with 2 languages: Hungarian (primary) and English-US. PHP 5.6.30 is used. [Error: Upgrade DB to 4....

1 2
3
4 5
8